import Utils from '@/utils/utils.js'
// import zhCN from '@/locales/zh-CN/comtable.js'
// import enUS from '@/locales/en-US/comtable.js'

// const CommonDict = (!localStorage.getItem('lang') || localStorage.getItem('lang') === 'zh-CN') ? zhCN : enUS

class CommonTableBaseData {
  baseConfig = {
    type: 'Modal',
    setting: {
      title: '',
      width: 60,
      cols: '2',
      container: 'tab',
      focus: '',
      finish: 'close',
      clickouter: 'unclose',
      display: 'modal'
    },
    tables: [],
    groups: [],
    fields: [
      {
        origin: true,
        uuid: Utils.getuuid(),
        label: 'label',
        field: '',
        initval: '',
        type: 'text',
        resourceType: '0',
        setAll: 'false',
        options: [],
        dataSource: '',
        linkField: '',
        valueField: '',
        valueText: '',
        orderBy: '',
        orderType: 'asc',
        decimal: 0,
        min: '',
        max: '',
        readonly: 'false',
        required: 'false'
      }, {
        origin: true,
        uuid: Utils.getuuid(),
        label: 'label',
        field: '',
        initval: '',
        type: 'select',
        resourceType: '0',
        setAll: 'false',
        options: [],
        dataSource: '',
        linkField: '',
        valueField: '',
        valueText: '',
        orderBy: '',
        orderType: 'asc',
        decimal: 0,
        min: '',
        max: '',
        readonly: 'false',
        required: 'false'
      }, {
        origin: true,
        uuid: Utils.getuuid(),
        label: 'label',
        field: '',
        initval: '',
        type: 'date',
        resourceType: '0',
        setAll: 'false',
        options: [],
        dataSource: '',
        linkField: '',
        valueField: '',
        valueText: '',
        orderBy: '',
        orderType: 'asc',
        decimal: 0,
        min: '',
        max: '',
        readonly: 'false',
        required: 'false'
      }
    ]
  }

  searchItems = [
    {
      type: 'form',
      label: '文本框',
      subType: 'text',
      url: ''
    },
    {
      type: 'form',
      label: '数值框',
      subType: 'number',
      url: ''
    },
    {
      type: 'form',
      label: '下拉框',
      subType: 'select',
      url: ''
    },
    {
      type: 'form',
      label: '文件上传',
      subType: 'fileupload',
      url: ''
    },
    {
      type: 'form',
      label: '时间框（天）',
      subType: 'date',
      url: ''
    },
    {
      type: 'form',
      label: '时间框（月）',
      subType: 'datemonth',
      url: ''
    },
    {
      type: 'form',
      label: '时间框（秒）',
      subType: 'datetime',
      url: ''
    },
    {
      type: 'form',
      label: '函数变量',
      subType: 'funcvar',
      url: ''
    }
  ]
}

export default new CommonTableBaseData()
